/*             GENERICS */

* {
    -webkit-tap-highlight-color: transparent;
}

@font-face {
    font-family: 'Impac';
    src: url('fonts/impact.ttf') format('ttf');
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

html {
    width: 100vw;
    -ms-overflow-style: none;
}

body {
    margin: 0px;
    /* overflow-x: hidden; */
    font-family: 'Nunito', sans-serif;
    background: url("./views/tiny-squares.png");
}

p {
    margin-top: 0;
    padding-top: 0;
}

input[type='checkbox'] {
    cursor: pointer;
    width: 20px !important;
    height: 20px !important;
    margin: 5px;
    margin-right: 0.5vw;
    -webkit-appearance: none;
    -moz-appearance: none;
    -o-appearance: none;
    appearance: none;
    border: 2px solid #1b363f;
    box-shadow: none;
    font-size: 2em;
    border-radius: 0px;
    -o-transition: .4s;
    -ms-transition: .4s;
    -moz-transition: .4s;
    -webkit-transition: .4s;
    transition: .4s;
}

input[type='checkbox']:focus {
    outline: none;
}

input[type='checkbox']:checked {
    width: 20px !important;
    height: 20px !important;
    border-radius: 10px;
    border: 2px solid #1b363f;
    background-color: #1b363f;
}

button {
    min-height: 50px;
    padding: 17px;
    color: #17b895;
    font-size: calc(8px + 3vw);
    background-color: rgba(0, 0, 0, 0);
    border: 2px solid #17b895;
    border-radius: 5px;
}

input[type='number'] {
    -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

.none {
    display: none !important;
}

.shrunk-height {
    height: 0px !important;
}

.shrunk_width {
    width: 0px !important;
}

.box-shadow {
    -webkit-box-shadow: 6px 0px 32px -1px rgba(0, 0, 0, 0.39);
    -moz-box-shadow: 6px 0px 32px -1px rgba(0, 0, 0, 0.39);
    box-shadow: 6px 0px 32px -1px rgba(0, 0, 0, 0.39);
}


::-webkit-scrollbar {
    width: 0px;
}

/*             NAVIGATION */
.nav {
    z-index: 2;
    width: 100vw;
    height: 65px;
    display: flex;
    /* justify-content: space-between; */
    align-items: stretch;
    position: fixed;
    top: 0;
    box-sizing: border-box;
    background-color: white;
    -o-transition: .2s;
    -ms-transition: .2s;
    -moz-transition: .2s;
    -webkit-transition: .2s;
    transition: .2s;
}

.nav-hidden {
    top: -300px;
    opacity: 0;
}

.green {
    color: #17b895;
    margin-left: -5vw;
}

.transparent {
    background-color: rgba(0, 0, 0, 0);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0);
    opacity: 0;
}

.btn-nav {
    color: rgba(255, 255, 255, 0.952);
    font-size: 200%;
}

.btn-nav:hover {
    cursor: pointer;
    /* TO DO  */
}

.holder {
    margin-left: 10vw;
    margin-right: 10vw;
    transform: skewX(25deg);
    flex: 1;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.holder-mobile {
    margin-left: 10vw;
    transform: skewX(25deg);
    flex: 1;
    justify-content: right;
    align-items: center;
    display: none;
    color: white;
}

.holder-mobile i {
    font-size: 250%;
    margin-left: 65%;
}

.nav-menu-mobile {
    z-index: 1;
    width: 100vw;
    /* height: 26vh; */
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: fixed;
    overflow: hidden;
    top: 65px;
    box-sizing: border-box;
    background-color: white;
    -o-transition: .3s;
    -ms-transition: .3s;
    -moz-transition: .3s;
    -webkit-transition: .3s;
    transition: .3s;
}

.nav-menu-mobile>div {
    text-align: center;
    margin-top: 1vh;
    margin-bottom: 2vh;
    font-size: 140%;
}

.green-nav {
    background-color: #17b895;
    display: inline-block;
    transform: skewX(-25deg);
    margin-right: -5vw;
    width: 80vw;
    display: flex;
    align-items: stretch;
    justify-content: center;
    -o-transition: .2s;
    -ms-transition: .2s;
    -moz-transition: .2s;
    -webkit-transition: .2s;
    transition: .2s;
}

.divider {
    background-color: #404041;
    height: 100%;
    width: 30px;
    overflow: hidden;
    display: inline-block;
    /* skew container so that it has angled edge, and set up transition */
    transform: skewX(-25deg);
    transition: width 0.1s ease-in-out;
    -webkit-box-shadow: 6px 0px 32px -1px rgba(0, 0, 0, 0.473);
    -moz-box-shadow: 6px 0px 32px -1px rgba(0, 0, 0, 0.473);
    box-shadow: 6px 0px 32px -1px rgba(0, 0, 0, 0.473);
}

.white {
    width: 30%;
    /* font-family: 'Impac', Haettenschweiler, 'Arial Narrow Bold', sans-serif; */
    display: flex;
    justify-content: start;
    align-items: center;
    flex-wrap: wrap;
    font-size: 150%;
    overflow: hidden;
    color: #404041;

    -o-transition: .2s;
    -ms-transition: .2s;
    -moz-transition: .2s;
    -webkit-transition: .2s;
    transition: .2s;
}

.white span {
    margin-left: 5%;
    flex: 0 1;
    font: bolder 25px sans-serif;
    margin: 0 -1px;
    margin-top: 5px;
}

.logo-text-green {
    color: #17b895;
}

.nav-logo {
    flex: 1;
    max-width: 70px;
    height: auto;
    margin: 2% 5%;
    margin-right: 10px;
    margin-top: 0px;

}

@media screen and (max-width: 950px) {
    .white {
        width: 70%;
    }
}

@media screen and (max-width: 560px) {
    .nav-logo {
        display: none;
    }

    .white span {
        margin-left: 20px;
    }
}

@media screen and (max-width: 410px) {
    .white span {
        font-size: 20px;
        margin-top: 0;
    }
}

@media screen and (max-width: 1030px) {
    .holder {
        display: none;
    }

    .holder-mobile {
        display: flex;
    }

    .logo {
        font-size: 1.5rem;
    }

    .divider {
        width: 15px;
    }
}


.language{
    cursor: pointer;
    display: flex;
    width: 10%;
    justify-content: space-evenly;
    
    font-size: 2rem;
    font-weight: 900;
    opacity: 0.5;
}
.language>div{
    margin: 20px 15px;
    text-decoration: none;
}
.act-lang{
    opacity: 1.0;
    border-bottom: 3px solid black;
}

/*             COURASEL OR VIDEO */

.video-containter {
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 100%;
    padding-bottom: 56.25%;
}

.video-containter-blocker {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;

    opacity: .0
}

iframe {
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-shadow: 0 0 25px rgba(67, 170, 255, 0.486);
    z-index: 0;
}

.overlay {
    position: absolute;
    color: #FFF;

    margin-bottom: 10%;

    font-size: 6vw;
    background-color: rgba(221, 221, 221, 0.0);
    z-index: 1;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    text-align: center;
}

.overlay i {
    opacity: 0.7;
    font-size: 40%;

}

/*
.overlay > i {
    cursor: pointer;
    margin-top: 5vh;
    box-sizing: content-box;
    opacity: 0.6;
    font-size: 0.5em;
    color: #17b895;
}
*/

/*             INTRODUCTION */

.intro {
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

.intro-container {
    box-sizing: border-box;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    margin-left: 5vw;
    margin-right: 5vw;
}

.intro-text-arrow {
    font-size: 200%;
    color: #17b895;
    cursor: pointer;
    margin-top: 2vh;
    margin-bottom: 5vh;
}

.intro-logo {
    margin-top: 4vh;
    margin-bottom: 4vh;


}

.intro-text {
    text-align: center;
    font-size: 150%;
    opacity: 0.75;
    font-weight: 600;
    /* opacity: 0.8;
      font-weight: 300; */
}

.intro-text>i {
    margin-bottom: 3vh;
}

/*             CONTACT */



/* ###################################### QUOTES ############################# */

.loaded{
    width:200px;
    background-color: #17b895;
    -webkit-transition: opacity 0s ease-in;
    /* -moz-transition: opacity 1s ease-in;
    -o-transition: opacity 1s ease-in;
    -ms-transition: opacity 1s ease-in;
    transition: opacity 1s ease-in; */
}

.not-loaded{
    flex: 1;  
}

.quote-holder{
    margin: 3% 6%;
    display: flex;
    flex-direction: column;
}

.quote-head{
    margin: 10px 6vw;
    font-size: 110%;
    text-align: right;
}
.quote-quote{
    margin: 10px 10vw;
    text-align: center;
    font-size: 130%;
    
}
.quote-quote>b{
    font-size: 140%;
}

#contact-animation-holder {
    flex: 2;
    order: 1;
    margin: 0px 9px 30px 9px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

#contact-animation {
    width: 230px;
}

.contact-section {
    display: flex;
    background-color: #2c2c2c1e;
    flex-wrap: nowrap;
    position: relative;
}

.map-contact-holder {
    left: 20px;
    right: 0px;
    height: 500px;
    background-color: white;
    position: absolute;
    top: 23%;
    z-index: 3;
    border-radius: 10px;
}

#contact-animation-mobile {
    display: none;
}

@media only screen and (max-width: 1165px) {
    #contact-animation-holder {
        display: none;
    }
}

.contact-body {
    order: 2;
    flex: 6;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
}

.contact-title-holder {
    margin-top: 4vh;
    margin-bottom: 4vh;
    font-size: 400%;
    flex: 1 0 70%;
    display: flex;
    flex-direction: column;
    text-align: center;
}

.contact-title {
    margin-bottom: 1vh;
    opacity: 0.0;
}

.contact-hr {
    height: 3px;
    background-color: #404041;
    margin-bottom: 1vh;
    margin-left: auto;
    width: 0%;
}

.contact-card {
    flex: 1 1 calc(25vw + 50px);
    margin: 0vh 2vw;
    margin-bottom: 4vh;
    background-color: white;
    text-align: center;
    font-size: 170%;
    z-index: 0;
    border-radius: 10px;

    opacity: 0.0;
}

.contact-card div:last-child {
    margin-bottom: 3vh;
}

.contact-card div:first-child {
    font-size: 200%;
    padding-top: 5vh;
    opacity: 0.8;
    margin-bottom: 2vh;
    margin-top: -3vh;
}

.contact-card div {
    margin-top: 1vh;
    font-size: 100%;
    opacity: 0.95;
}

.contact-card button {
    margin-top: 4vh;
    margin-bottom: 4vh;
    font-size: 80%;
    height: 8vh;
    width: 25vw;

    

    background-color: #17b895;
    border: 2px solid #17b895;
    color: rgba(255, 255, 255, 0.89);

    border-radius: 5px;
    -o-transition: .2s;
    -ms-transition: .2s;
    -moz-transition: .2s;
    -webkit-transition: .2s;
    transition: .2s;
    z-index: 3;
}

.contact-card button:hover {
    background-color: white;
    border: 2px solid #17b895;
    color: #17b895;
}

.contact-card button:focus {
    outline: none;
}

.contact-card button:active {
    outline: none;
    background-color: white;
    border: 5px solid #17b895;
}


.calls {
    order: 2;
}

.map {
    order: 3;
}

@media only screen and (max-width: 1165px) {
    .contact-card button {
        height: 9vh;
        width: 30vw;
    }
}

@media only screen and (max-width: 680px) {
    .contact-card button {
        width: 70vw;
        font-size: 50%;
    }
}

@media only screen and (max-width: 1164px) {

    .calls,
    .positions {
        flex: 1 1 calc(60vw + 50px);
    }

    .calls {
        order: 2;
    }

    .map {
        order: 3;
    }
}


.map_h {
    height: 70vh;
    background-color: unset;
    border-radius: 10px;
}

.positions i {
    font-size: 80%;
    opacity: 0.7;
}

/* ###################################### MODAL ############################# */

.modal {
    position: fixed;
    z-index: 2;
    justify-content: center;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgb(173, 173, 173);
    display: none;
    flex-wrap: wrap;
}

.modal-booking {
    flex: 0 0 45vw;
    background-color: rgb(228, 229, 230);
    flex-direction: column;
    margin: 2vh 2vw;
    overflow: auto;
    max-width: 700px;
    min-width: 600px;

    height: 96vh;

    border-radius: 10px;
}

.modal-body {
    display: flex;
    flex-direction: column;
}

.modal-body>div {
    margin-left: 2vw;
    margin-right: 2vw;
}

.modal-nav {
    background-color: #1b363f;
    height: 12vh;
    width: 45vw;
    max-width: 700px;
    min-width: 600px;
    font-size: 250%;
    margin-left: 0 !important;
    margin-right: 0 !important;
    color: rgba(255, 255, 255, 0.93);
    margin-top: 0;
    margin-bottom: 5vh;
    position: fixed;
    z-index: 2;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    min-height: 85px;
}

@media only screen and (max-width: 1081px) {
    .modal-booking {
        max-width: unset;
        min-width: unset;
        margin: 0px 0px;
        flex: 0 0 100vw;
        width: 100vw;
        border-radius: 0px;
    }

    .modal-nav {
        max-width: unset;
        min-width: unset;
        width: 100vw;
        border-radius: 0;
    }
}

.modal-nav i {
    font-size: 150%;
    color: white;
    opacity: 0.90;
    cursor: pointer;
    transition: all 150ms ease;
    outline: none;
    margin-left: 10px;
}

.modal-nav i:hover {
    color: rgba(255, 255, 255, 0.3);
}

.modal-nav>div {
    margin-right: 40%;
}

.modal-calendar {
    background-color: #1b363f;
    flex: 1;
    display: flex;
    margin-left: auto;
    margin-right: auto;
    border-radius: 0px !important;
}

.modal-body .input-desc {
    margin-bottom: 0.25vh;
    margin-top: 4vh;
    font-size: 140%;
    font-weight: 900;
    opacity: 0.7;
}

.first-desc {
    margin-top: 14vh !important;
}

.input {
    margin-left: auto;
    margin-right: auto;
    background-color: #17b895;
    display: flex;
    border-radius: 5px;
    height: 8vh;
    min-height: 60px;
}

.check-holder {
    display: flex;
    justify-content: space-around;
    background-color: white;
    border: 2px solid #17b895;
    color: #1b363f;
    flex-wrap: wrap;
    border-radius: 10px;
}

.check-holder:focus {
    outline: 0;
    outline: none;
}

.check-holder>div {
    margin-left: 0;
    display: flex;
    flex-direction: column;
    font-size: 140%;
    position: relative;
    margin-top: 2vh;
    margin-bottom: 2vh;
    cursor: pointer;
}

.check-holder>div>div {
    display: flex;
    align-content: center;
}

.check-label {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin-left: 3px;
}

@media only screen and (max-width: 325px) {
    .check-holder>div {
        margin-top: 0vh;
        margin-bottom: 0vh;
        margin-left: 2vh;
    }

    .check-holder {
        justify-content: flex-start;
        align-items: flex-start;
    }

    .check-holder>div:first-child {
        margin-top: 2vh;
    }

    .check-holder>div:last-child {
        margin-bottom: 2vh;
    }
}

.input i {
    font-size: 190%;
    margin: 15px;
    margin-top: auto;
    margin-bottom: auto;
    color: white;
    opacity: 0.90;
}

.input input {
    margin: 0vh;
    width: 100%;
    font-size: 130%;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    outline: none;
    border: solid 2px #17b895;
    padding-left: 1vw;
    color: rgba(0, 0, 0, 0.93);
}

.input input:-webkit-autofill {
    background-color: #17b8952f !important;
    color: red !important;
}

.input select {
    margin: 0vh;
    width: 100%;
    font-size: 130%;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    outline: none;
    border: solid 2px #17b895;
    padding-left: 1vw;
    color: rgba(0, 0, 0, 0.93);
}

.input textarea {
    width: 100%;
    min-width: auto;
    position: relative;
    margin: 0vh;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    outline: none;
    border: none;
    max-width: inherit;
    font-size: 125%;
    outline: none;
    border: solid 2px #17b895;
    padding-left: 1vw;
    padding-top: 10px;
    color: rgba(0, 0, 0, 0.93);
    resize: none;
    font-family: 'Nunito', sans-serif;
}

.textarea-holder {
    height: 12vh;
}

.textarea-holder>i {
    margin-top: 1vh;
}

/* ###################################### GALLERY ############################# */
.gallery-title {
    font-size: 4.5em;
    opacity: 0.9;
    text-align: center;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 2vh 0;
    background-color: rgb(233, 233, 233);
    -webkit-box-shadow: 0px 0px 41px -3px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 0px 0px 41px -3px rgba(0, 0, 0, 0.25);
    box-shadow: 0px 0px 41px -3px rgba(0, 0, 0, 0.25);
  }
  
  .gallery-divider {
    height: 3px;
    flex: 1;
    background-color: #404041;
    opacity: 0.2;
  }
  
  .l {
    margin-right: 2vw;
    flex: 3;
  }
  
  .r {
    margin-left: 2vw;
    background-color: #17b895;
    opacity: 0.5;
  }
.gallery{
    overflow: hidden;
    margin: 0 auto;
    margin-top: 40px;
    margin-bottom: 40px;
    
  }
  
  .image{
    width: 30vw;
    margin: 2px 2px;
    border-radius: 5px;
  }
  
  @media (max-width: 1101px) {
    .image{
      width: 47vw;
      margin: 1px 1px;
    }
    }
  @media (max-width: 450px) {
    .image{
      width: 95vw;
      margin: 1px 1px;
    }
    }

/* ###################################### MODAL BUTTON SUBMIT ############################# */

.btn-submit {
    margin: 4vh 2vw 2vh 2vw;
    height: 10vh;
    min-height: 100px;
    font-size: calc(15px + 1.2vw);
}

.btn-submit:hover {
    padding-top: 5px;
}

.modal-nav span {
    font-size: 170%;
    color: rgba(255, 255, 255, 0.85);
    margin-right: 5vw;
}

.modal_icon {
    font-size: 300%;
    color: rgba(255, 255, 255, 0.85);
    cursor: pointer;
}

.modal_icon:hover {
    color: rgb(255, 255, 255);
}

.modal-scrollable {
    overflow: scroll !important;

    height: calc(100% - 8vh);
}

.modal-nav-text {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    padding-top: 1.2vh;
}

.modal-nav-icon {
    font-size: 90%;
    position: absolute;
    left: 1vh;
    top: 1vh;
}